part of 'generated.dart';

class DeleteVendorRateVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteVendorRateVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteVendorRateData> dataDeserializer = (dynamic json)  => DeleteVendorRateData.fromJson(jsonDecode(json));
  Serializer<DeleteVendorRateVariables> varsSerializer = (DeleteVendorRateVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteVendorRateData, DeleteVendorRateVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteVendorRateData, DeleteVendorRateVariables> ref() {
    DeleteVendorRateVariables vars= DeleteVendorRateVariables(id: id,);
    return _dataConnect.mutation("deleteVendorRate", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteVendorRateVendorRateDelete {
  final String id;
  DeleteVendorRateVendorRateDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteVendorRateVendorRateDelete otherTyped = other as DeleteVendorRateVendorRateDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteVendorRateVendorRateDelete({
    required this.id,
  });
}

@immutable
class DeleteVendorRateData {
  final DeleteVendorRateVendorRateDelete? vendorRate_delete;
  DeleteVendorRateData.fromJson(dynamic json):
  
  vendorRate_delete = json['vendorRate_delete'] == null ? null : DeleteVendorRateVendorRateDelete.fromJson(json['vendorRate_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteVendorRateData otherTyped = other as DeleteVendorRateData;
    return vendorRate_delete == otherTyped.vendorRate_delete;
    
  }
  @override
  int get hashCode => vendorRate_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (vendorRate_delete != null) {
      json['vendorRate_delete'] = vendorRate_delete!.toJson();
    }
    return json;
  }

  DeleteVendorRateData({
    this.vendorRate_delete,
  });
}

@immutable
class DeleteVendorRateVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteVendorRateVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteVendorRateVariables otherTyped = other as DeleteVendorRateVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteVendorRateVariables({
    required this.id,
  });
}

